---
layout: commands
page_title: 'Commands: Operator'
description: |
  The operator command provides cluster-level tools for Consul operators.
---

# Consul Operator

Command: `consul operator`

The `operator` command provides cluster-level tools for Consul operators, such
as interacting with the Raft subsystem. This was added in Consul 0.7.

~> Use this command with extreme caution, as improper use could lead to a Consul
outage and even loss of data.

If ACLs are enabled then a token with operator privileges may be required in
order to use this command. Requests are forwarded internally to the leader
if required, so this can be run from any Consul node in a cluster. See the
[ACL Guide](/consul/tutorials/security/access-control-setup-production) for more information.

See the [Disaster recovery for Consul clusters](/consul/tutorials/datacenter-operations/recovery-outage) guide for some examples of how
this command is used. For an API to perform these operations programmatically,
please see the documentation for the [Operator](/consul/api-docs/operator)
endpoint.

## Usage

```text
Usage: consul operator <subcommand> [options]

  # ...

Subcommands:

    area         Provides tools for working with network areas (Enterprise-only)
    autopilot    Provides tools for modifying Autopilot configuration
    raft         Provides cluster-level tools for Consul operators
    usage        Provides cluster-level usage information
```

For more information, examples, and usage about a subcommand, click on the name
of the subcommand in the sidebar or one of the links below:

- [area](/consul/commands/operator/area) <EnterpriseAlert inline />
- [autopilot](/consul/commands/operator/autopilot)
- [raft](/consul/commands/operator/raft)
- [usage](/consul/commands/operator/usage)
